Reload file content
curl --request PUT \
--url https://pria.praxislxp.com/api/user/reload/{fileId} \
--header 'x-access-token: <api-key>'import requests
url = "https://pria.praxislxp.com/api/user/reload/{fileId}"
headers = {"x-access-token": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {'x-access-token': '<api-key>'}};
fetch('https://pria.praxislxp.com/api/user/reload/{fileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "File reloaded successfully!",
"data": {
"_id": "<string>",
"filename": "<string>",
"originalname": "<string>",
"mimetype": "<string>",
"created": "2023-11-07T05:31:56Z",
"filesize": 123,
"thumbnail": "<string>",
"user": "<string>",
"institution": "<string>",
"account_shared": true,
"file_summary": "<string>",
"file_title": "<string>",
"file_url": "<string>",
"tokens_used": 123,
"is_public": false,
"is_private": false,
"file_dimensions": "<string>",
"file_authors": "<string>",
"embeddings_model": "<string>",
"summary_model": "<string>",
"image_analysis_model": "<string>",
"googleDriveFileId": "<string>",
"googleDriveModifiedTime": "2023-11-07T05:31:56Z",
"ragHitCount": 0,
"lastRagHitAt": "2023-11-07T05:31:56Z",
"vaultHealthScore": 123,
"fileOnDisk": true,
"owner_data": {
"email": "jsmith@example.com",
"fname": "<string>",
"lname": "<string>",
"institution": "<string>"
},
"institution_data": {
"name": "<string>",
"ainame": "<string>"
},
"institution_name": "<string>",
"institution_display_name": "<string>",
"index": 123,
"collection": "<string>",
"collection_path": [
{
"_id": "<string>",
"name": "<string>",
"color": "<string>"
}
]
}
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}IP Vault
Reload file content
Re-processes an existing file through the RAG pipeline, regenerating its embeddings and metadata. On success, returns the refreshed Upload record. On RAG callback error, returns HTTP 200 with success: false.
PUT
/
api
/
user
/
reload
/
{fileId}
Reload file content
Authorizations
JWT token passed in x-access-token header
Path Parameters
The file ID to reload
Was this page helpful?
⌘I